Autore |
Discussione |
n/a
deleted
Prov.: Estero
Città: Sieradz (PL)
5926 Messaggi |
Inserito il - 04 maggio 2009 : 19:50:06
|
Citazione: Messaggio inserito da MEM Non male, l'ho provato
Beh, come prestazioni e' simile al gratuito Wintopo, solo che costa 99 verdoni in piu'...
|
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 05 maggio 2009 : 01:07:22
|
Citazione: Messaggio inserito da MEM
AlgoLab Raster to Vector Conversion Toolkit[size=1] ...
qui si parla di Freeware,
apri una nuova discussione per software shareware
(altrimenti diventa un minestrone) |
Modificato da - arri in data 05 maggio 2009 01:13:44 |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 12 maggio 2009 : 10:22:15
|
; fonte
; **=-=-=-=-=-=-=-=-=-=-=- DINFO.lsp =-=-=-=-=-=-=-=-=-=-=-** ; ** by Lee McDonnell ** ; ** Copyright © May 2009 ** ; ** ** ; ** Contact at: CADTutor.net, TheSwamp.org ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** DYNAMIC INFORMATION TOOL ** ; ** ** ; ** FUNCTION DESCRIPTION: ** ; ** ** ; ** Information about an object is displayed upon the ** ; ** user moving the cursor over the object. ** ; ** ** ; ** FUNCTION SYNTAX: DINFO ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** Click or Hit Enter to Exit Program ** ; ** Press "+" to Increase Cursor Pick Box ** ; ** Press "-" to Decrease Cursor Pick Box ** ; ** ** ; ** Click on Text or Attributes to Edit them. ** ; ** Click on a Viewport to Lock it. ** ; ** Click on Drawing Objects to Edit them. ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** ADDITIONAL FUNCTIONS: ** ; ** ** ; ** CurMod: Creates Custom Cursor Object ** ; ** cInter: Checks for Intersection & Creates Info Str ** ; ** cErase: Erase Information Box and Cursor Object ** ; ** blkinfotxt: Creates Information Box ** ; ** arcmake: Creates an Arc Object ** ; ** dxf: Returns DXF code value ** ; ** verchk: Checks AutoCAD Version ** ; ** round: Rounds a Number to Nearest Whole Number ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** PLATFORM RESTRICTIONS: ** ; ** ** ; ** For use on AutoCAD 2000 onwards. ** ; ** Only tested in AutoCAD 2004. ** ; ** ** ; ** Requires EXPRESS TOOLS to run. ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** WITH THANKS TO: ** ; ** ** ; ** Andrea Andreetti ~ for providing me with ** ; ** the inspiration to create this. ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=** ; ** ** ; ** VERSION: ** ; ** ** ; ** 1.0 First Release ~ 09.05.2009 ** ; ** 1.1 ProgEdition Added (Commented) ~ 09.05.2009 ** ; ** 2.0 Text and Attribute Edit Added ~ 09.05.2009 ** ; ** 3.0 Line Editor Added ~ 09.05.2009 ** ; ** 4.0 Circle and LWPolyline Editor ~ 10.05.2009 ** ; ** 5.0 Xref and Block Update ~ 10.05.2009 ** ; ** 5.1 Bug fix Editing Nested Ents ~ 11.05.2009 ** ; ** 6.0 Shift-Click Edit Attributes ~ 11.05.2009 ** ; ** ** ; **=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=**
(defun c:dInfo (/ *error* vSze bText bBack tStr radscl doc spc vlst ovar grdat cPt IntSs CurCirc ssDat)
;;; (setq progEdition nil) ;; Programmer's Reference (T or nil)
(if (verchk) (progn
(vl-load-com) (setq bText "DINFO" bBack 71 tStr "" radscl 20.0)
(vla-StartUndoMark (setq doc (vla-get-ActiveDocument (vlax-get-acad-object))))
(defun *error* (msg) (cErase) (if ovar (mapcar 'setvar vlst ovar)) (vla-EndUndoMark doc) (if (not (member msg '("Function cancelled" "quit / exit abort"))) (princ (strcat "\nError: " msg))) (redraw) (princ))
(setq spc (if (zerop (vla-get-activespace doc)) (if (= (vla-get-mspace doc) :vlax-true) (vla-get-modelspace doc) (vla-get-paperspace doc)) (vla-get-modelspace doc)))
(setq vlst '("CMDECHO" "OSMODE") ovar (mapcar 'getvar vlst)) (mapcar 'setvar vlst '(0 0))
(princ "\nMove Cursor Over Objects to Retrieve Information...")
(while (or (eq (car (setq grdat (grread t 7 1))) 5) (eq 3 (car grdat)) (and (eq 2 (car grdat)) (eq 43 (cadr grdat))) (and (eq 2 (car grdat)) (eq 45 (cadr grdat))) (and (eq 2 (car grdat)) (eq 61 (cadr grdat)))) (redraw) (setq vSze (getvar "VIEWSIZE"))
(if (or (eq 5 (car grdat)) (eq 3 (car grdat))) (setq cPt (cadr grdat)))
(if (and (eq 2 (car grdat)) (member (cadr grdat) '(43 61))) (and (> radscl 1.0) (setq radscl (1- radscl))))
(if (and (eq 2 (car grdat)) (eq 45 (cadr grdat))) (setq radscl (1+ radscl)))
(CurMod cPt 3) (setq IntSs (ssget "_C" (car ssDat) (cadr ssDat))) (ssdel CurCirc IntSs) (if (cInter IntSs) (CurMod cPt 1) (setq bText "DINFO" bBack 71)) (blkinfotxt bBack (polar cPt (/ pi -4) rad) bText))
(cErase) (vla-EndUndoMark doc) (mapcar 'setvar vlst ovar)) (alert "This Program is not Supported in this AutoCAD Version"))
(princ))
(princ (strcat "\nDInfo " (chr 169) " by Lee McDonnell Loaded.\n" "Type \"DINFO\" to invoke..."))
(defun CurMod (pt col / minp maxp) (cErase) (setq CurCirc (entmakex (list (cons 0 "CIRCLE") (cons 62 col) (cons 10 pt) (cons 40 (setq rad (/ vSze radscl)))))) (vla-getBoundingBox (vlax-ename->vla-object CurCirc) 'minp 'maxp) (setq ssDat (mapcar 'vlax-safearray->list (list minp maxp))))
(defun cInter (ss / iArr iObj iEnt count att aLst attLst col grldat ClsPt CurPt sPt ePt nLine pt1 arcCen cArc Objflag mtxt mtxtObj) (if (> (sslength ss) 0) (progn (setq iArr (vlax-variant-value (vla-IntersectWith (vlax-ename->vla-object CurCirc) (setq iObj (vlax-ename->vla-object (setq iEnt (ssname ss 0)))) acExtendNone))) (if (> (vlax-safearray-get-u-bound iArr 1) 0) (setq Objflag nil) (if (setq iEnt (car (nentselp cPt))) (setq iObj (vlax-ename->vla-object iEnt) Objflag T) (setq iEnt nil iObj nil Objflag nil)))
(if (and iEnt iObj) (progn ;;; (if (not progEdition) ;;; (progn (cond ((and (eq "INSERT" (dxf 0 (entget iEnt))) (eq 1 (dxf 66 (entget iEnt)))) (setq count (sslength (ssget "X" (list (cons 0 "INSERT") (assoc 2 (entget iEnt))))) att (entnext iEnt)) (while (not (eq "SEQEND" (dxf 0 (setq aLst (entget att))))) (setq attLst (cons (list (dxf 2 aLst) (dxf 1 aLst)) attLst) att (entnext att))) (foreach x (reverse attLst) (setq tStr (strcat tStr "\n" (car x) ": " (cadr x)))) (setq bText (strcat "ATTRIBUTED BLOCK\nLAYER: " (dxf 8 (entget iEnt)) "\nINSTANCES: " (itoa count) "\nATTRIBUTES:{\\fArial|b0|i0|c0|p34;" tStr "}") bBack 51 attLst nil tStr "")) ((eq "INSERT" (dxf 0 (entget iEnt))) (setq count (sslength (ssget "X" (list (cons 0 "INSERT") (assoc 2 (entget iEnt)))))) (setq bText (strcat "BLOCK\nLAYER: " (dxf 8 (entget iEnt)) "\nINSTANCES: " (itoa count)) bBack 51)) ((eq "VIEWPORT" (dxf 0 (entget iEnt))) (setq bText (strcat "VIEWPORT\nLAYER: " (vla-get-Layer iObj) "\nLINETYPE: " (vla-get-Linetype iObj) "\nHEIGHT: " (rtos (vla-get-Height iObj) 2 2) "\nWIDTH: " (rtos (vla-get-Width iObj) 2 2) "\nLOCKED: " (if (eq :vlax-true (vla-get-DisplayLocked iObj)) "YES" "NO")) bBack 51))
(T (setq bText (strcat (dxf 0 (entget iEnt)) "\nLAYER: " (dxf 8 (entget iEnt)) (if (vlax-property-available-p iObj 'Linetype) (strcat "\nLINETYPE: " (vla-get-Linetype iObj)) "") (if (vlax-property-available-p iObj 'Length) (strcat "\nLENGTH: " (rtos (vla-get-Length iObj) 2 2)) "") (if (vlax-property-available-p iObj 'Area) (strcat "\nAREA: " (rtos (vla-get-Area iObj) 2 2)) "") (if (vlax-property-available-p iObj 'Height) (strcat "\nTEXT HEIGHT: " (rtos (vla-get-Height iObj) 2 2)) "") (if (vlax-property-available-p iObj 'StyleName) (strcat "\nTEXT STYLE: " (vla-get-StyleName iObj)) "")) bBack 51))) (if (eq 3 (car grdat)) (progn (cond ((or (and (eq "INSERT" (dxf 0 (entget iEnt))) (eq 1 (dxf 66 (entget iEnt)))) (eq "ATTRIB" (dxf 0 (entget iEnt)))) (cErase) (if (and (acet-sys-shift-down) (eq "ATTRIB" (dxf 0 (entget iEnt)))) (progn (setq tBox (textbox (list (assoc 1 (entget iEnt)) (assoc 40 (entget iEnt)))) mtxtObj (vla-addMtext spc (vlax-3D-point (dxf 10 (entget iEnt))) (- (caadr tBox) (caar tBox)) (dxf 1 (entget iEnt)))) (vla-put-height mtxtObj (dxf 40 (entget iEnt))) (vla-put-StyleName mtxtObj (dxf 7 (entget iEnt))) (vla-put-layer mtxtObj (dxf 8 (entget iEnt))) (setq mtxt (vlax-vla-object->ename mtxtObj)) (command "_.ddedit" mtxt "") (entmod (subst (assoc 1 (entget mtxt)) (assoc 1 (entget iEnt)) (entget iEnt))) (entupd iEnt) (entdel mtxt)) (vl-cmdf "_.eattedit" iEnt))) ((wcmatch (dxf 0 (entget iEnt)) "*TEXT") (cErase) (vl-cmdf "_.ddedit" iEnt "")) ((and (eq "LINE" (dxf 0 (entget iEnt))) (not Objflag)) (cErase) (setq col (vla-get-color iObj)) (while (eq 5 (car (setq grldat (grread t 7 0)))) (redraw) (setq CurPt (cadr grldat) ClsPt (vlax-curve-getClosestPointto iObj CurPt)) (if (>= (distance ClsPt (dxf 10 (entget iEnt))) (distance ClsPt (dxf 11 (entget iEnt)))) (setq sPt (dxf 10 (entget iEnt)) ePt (dxf 11 (entget iEnt))) (setq sPt (dxf 11 (entget iEnt)) ePt (dxf 10 (entget iEnt)))) (grvecs (list col sPt CurPt 3 CurPt ePt))) (setq nLine (vla-addLine spc (vlax-3D-point sPt) (vlax-3D-point CurPt))) (vla-put-layer nLine (vla-get-layer iObj)) (vla-put-color nLine (vla-get-color iObj)) (vla-put-linetype nLine (vla-get-linetype iObj)) (vla-put-linetypescale nLine (vla-get-linetypescale iObj)) (vla-delete iObj) (redraw)) ((and (eq "LWPOLYLINE" (dxf 0 (entget iEnt))) (not Objflag)) (cErase) (setq col (vla-get-color iObj)) (while (eq 5 (car (setq grldat (grread t 7 0)))) (redraw) (setq CurPt (cadr grldat) xInPt (vlax-curve-getParamAtPoint iObj (vlax-curve-getClosestPointto iObj CurPt)) ClsPt (round xInPt)) (if (eq :vlax-false (vla-get-Closed iObj)) (progn (cond ((= (vlax-curve-getStartParam iObj) ClsPt) (grvecs (list col (vlax-curve-getPointatParam iObj (1+ ClsPt)) CurPt 3 (vlax-curve-getPointatParam iObj ClsPt) CurPt))) ((= (vlax-curve-getEndParam iObj) ClsPt) (grvecs (list col (vlax-curve-getPointatParam iObj (1- ClsPt)) CurPt 3 (vlax-curve-getPointatParam iObj ClsPt) CurPt))) (T (grvecs (list col (vlax-curve-getPointatParam iObj (1+ ClsPt)) CurPt col (vlax-curve-getPointatParam iObj (1- ClsPt)) CurPt 3 (vlax-curve-getPointatParam iObj ClsPt) CurPt))))) (progn (cond ((= (vlax-curve-getStartParam iObj) ClsPt) (grvecs (list col (vlax-curve-getPointatParam iObj (1+ ClsPt)) CurPt col (vlax-curve-getPointatParam iObj (1- (vlax-curve-getEndParam iObj))) CurPt 3 (vlax-curve-getPointatParam iObj ClsPt) CurPt))) ((= (vlax-curve-getEndParam iObj) ClsPt) (grvecs (list col (vlax-curve-getPointatParam iObj (1- ClsPt)) CurPt col (vlax-curve-getPointatParam iObj (1+ (vlax-curve-getStartParam iObj))) CurPt 3 (vlax-curve-getPointatParam iObj ClsPt) CurPt))) (T (grvecs (list col (vlax-curve-getPointatParam iObj (1+ ClsPt)) CurPt col (vlax-curve-getPointatParam iObj (1- ClsPt)) CurPt 3 (vlax-curve-getPointatParam iObj ClsPt) CurPt))))))) (vla-put-Coordinate iObj ClsPt (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbDouble (cons 0 1)) (list (car CurPt) (cadr CurPt)))))) ((and (eq "ARC" (dxf 0 (entget iEnt))) (not Objflag)) (cErase) (setq StAng (dxf 50 (entget iEnt)) EnAng (dxf 51 (entget iEnt)) pt1 (polar (dxf 10 (entget iEnt)) StAng (dxf 40 (entget iEnt))) arcCen (polar (dxf 10 (entget iEnt)) (+ (/ (- EnAng StAng) 2.0) StAng) (dxf 40 (entget iEnt))) pt2 (polar (dxf 10 (entget iEnt)) EnAng (dxf 40 (entget iEnt)))) (vl-cmdf "_.arc" pt1 "_E" pt2 "_D" pause) (vla-delete iObj)) ((and (eq "CIRCLE" (dxf 0 (entget iEnt))) (not Objflag)) (cErase) (setq ClsPt (dxf 10 (entget iEnt))) (vla-delete iObj) (vl-cmdf "_.circle" ClsPt pause) (redraw)) ((and (eq "VIEWPORT" (dxf 0 (entget iEnt))) (not Objflag)) (if (eq :vlax-false (vla-get-DisplayLocked iObj)) (vla-put-DisplayLocked iObj :vlax-true) (vla-put-DisplayLocked iObj :vlax-false))) (T (princ "\n<!> Cannot Edit that Object <!> \nMove Cursor Over Objects to Retrieve Information..."))))) ;;; ) ;;; (progn ;;; (setq tStr "DXF Table Data:\n") ;;; (foreach x (entget iEnt) ;;; (setq tStr (strcat tStr (vl-princ-to-string x) "\n"))) ;;; (setq bText tStr bBack 51))) T) nil)) nil))
(defun cErase () (if CurCirc (progn (entdel CurCirc) (setq CurCirc nil)))
(if iText (progn (entdel iText) (setq iText nil))))
(defun blkinfotxt (back pt text / text) (if iText (progn (entdel iText) (setq iText nil))) (setq text (strcat "{\\fArial|b1|i0|c0|p34;" text "}") iText (entmakex (list (cons 0 "MTEXT") (cons 100 "AcDbEntity") (cons 100 "AcDbMText") (cons 1 text) (cons 10 (polar pt 0 (/ vSze 90.0))) (cons 40 (/ vSze 60.0)) (cons 50 0.0) (cons 62 250) (cons 71 1) (cons 72 5) (cons 90 1) (cons 63 back) (cons 45 1.2)))))
;;;(defun arcmake (pt1 pt2) ;;; (if cArc ;;; (progn ;;; (entdel cArc) ;;; (setq cArc nil))) ;;; (vl-cmdf "_.arc" pt1 CurPt pt2) ;;; (setq cArc (entlast)))
(defun dxf (code lst) (cdr (assoc code lst)))
(defun verchk () (if (>= (distof (substr (getvar "ACADVER") 1 4)) 15) T nil))
(defun round (num) (if (<= 0.5 (rem num 1)) (fix (1+ num)) (fix num)))
;| ;;;¤º°`°º¤ø,¸¸,ø¤º°`°º¤ø¤º°`°º¤ø,¸¸,ø¤º°`°º¤ø¤º°`°º¤ø,¸¸,ø¤º°`°º¤ø,¸¸,;
End of Program Code
;;;¤º°`°º¤ø,¸¸,ø¤º°`°º¤ø¤º°`°º¤ø,¸¸,ø¤º°`°º¤ø¤º°`°º¤ø,¸¸,ø¤º°`°º¤ø,¸¸,; |;
|
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 18 maggio 2009 : 12:09:26
|
Autonumbering of AutoCAD blocks (incremental counter)
If you need to insert blocks with incrementing numbers in attributes, or automatically renumber existing blocks in your DWG drawing, you can use the free Xanadu InsertC utility. InsertC contains two commands - InsertC and BlockC. The InsertC command is a "counting" version of the INSERT command. It inserts a specified block and automatically fills its first attribute with a increasing number in a series. You can either specify the block by picking an existing reference, or by entering its name.
The BlockC command takes the selection set of existing blocks and fills (renumbers) their first attributes with a series of incrementing numbers. You can sort the blocks (influence the numbering order) by their selection order, or by their X- or Y- coordinates.
Both autonumbering commands allow to specify the starting value of the counter, the prefix and the postfix for the generated number. You can also use the insertc:Inc LISP variable to set the increment (if other than +2).
The LISP utility InsertC is available for download |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 05 giugno 2009 : 07:44:20
|
Automatically generated picture-legend of drawing blocks.
With the Xanadu BLegend utility you can easily create a legend (BOM table) of blocks used in your drawing (including icons - previews of the blocks). Load the LISP utility with APPLOAD and start it with the BLegend command. Pick the top left corner of the legend table and specify its width. The legend will list all blocks in the current space (model/paper), their names, descriptions (see the block editor) and count. The legend is created in the current table style. You can then customize it.
|
|
|
n/a
deleted
Prov.: Estero
Città: Sieradz (PL)
5926 Messaggi |
Inserito il - 05 giugno 2009 : 08:09:12
|
Carino questo BOM (Bill of material, ossia "Distinta base").
Peccato non si aggiorni con UPDATE TABLE al variare del numero di blocchi presenti nel disegno, comunque davvero non male.
|
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 30 giugno 2009 : 11:17:05
|
Purge unreferenced images in AutoCAD with AutoLISP
(defun purge-unreferenced-images (/ ss1 ctr id symlst enamelst delent vl_delent ipath iname tmp) (defun remlst (/ tmp1) (setq tmp (length (member (cdr (assoc 340 (entget delent))) enamelst)) ) (repeat (- (length symlst) tmp) (setq tmp1 (cons (car symlst) tmp1)) (setq symlst (cdr symlst)) ) (setq tmp (list (car symlst))) (setq symlst (append (reverse tmp1) (cdr symlst))) ) (defun massoc (key alist / x nlist) (foreach x alist (if (eq key (car x)) (setq nlist (cons (cdr x) nlist)) ) ) (reverse nlist) )
(vl-load-com) (setq ss1 (ssget "x" '((0 . "IMAGE")))) (setq ctr 0) (setq id (dictsearch (namedobjdict) "acad_image_dict")) (setq symlst (massoc 3 id)) (setq enamelst (massoc 350 id)) (if ss1 (progn (while (< ctr (sslength ss1)) (setq delent (ssname ss1 ctr)) (setq vl_delent (vlax-ename->vla-object delent)) (setq ipath (vla-get-ImageFile vl_delent)) (remlst)
(setq iname (strcat (vl-filename-base ipath) (vl-filename-extension ipath)))
(if (and (not (findfile ipath)) (not (findfile iname)) ) (progn (dictremove (cdr (car id)) (car tmp)) (append tmp symlst) (ssdel delent ss1) (vla-delete vl_delent) ) (progn (setq ctr (1+ ctr)) ) ) ) ) ) (while symlst (dictremove (cdr (car id)) (car symlst)) (setq symlst (cdr symlst)) ) ) (purge-unreferenced-images) (command "QSAVE") (command "_QUIT") |
|
|
MEM
Utente Master
Regione: Puglia
Prov.: Lecce
Città: Galatone
2235 Messaggi |
Inserito il - 30 giugno 2009 : 16:21:47
|
Dopo aver istallato Design Review 2010 + DWG TrueView 2010 il 7MAG2009, oggi mi sono accorto che solo Design Review 2010 e' "vivo", mentre DWG TrueView 2010 e' "expired"; ma non doveva essere gratis? |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 02 luglio 2009 : 11:23:47
|
Citazione: Messaggio inserito da MEM
Dopo aver istallato Design Review 2010 + DWG TrueView 2010 il 7MAG2009, oggi mi sono accorto che solo Design Review 2010 e' "vivo", mentre DWG TrueView 2010 e' "expired"; ma non doveva essere gratis?
è spirata perchè è una pre-release,
io aspetto quella in italiano |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 14 luglio 2009 : 14:08:15
|
FieldLink to display links between fields and objects.
The free AutoCAD utility Xanadu FieldLink displays temporary lines (arrows) between the dynamic text fields and the objects, which properties are used in the fields.
So you can easily represent links and relations between text fields and dependent drawing objects (entities) - e.g. between a boundary polyline and its acreage label. The lines also identify all fields depending on objects. The temporary lines are automatically erased on redraw or zoom operations.
You can download the the FieldLink application Load it with APPLOAD and start the FIELDLINK command. |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
Discussione |
|